<?xml version="1.0" encoding="UTF-8"?>
<beans  xmlns="http://www.springframework.org/schema/beans"
		xmlns:p="http://www.springframework.org/schema/p"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xmlns:context="http://www.springframework.org/schema/context"
		xmlns:jpa="http://www.springframework.org/schema/data/jpa"
        xmlns:util="http://www.springframework.org/schema/util"
        xmlns:tx="http://www.springframework.org/schema/tx"
        xsi:schemaLocation="http://www.springframework.org/schema/beans
        http://www.springframework.org/schema/beans/spring-beans.xsd
        http://www.springframework.org/schema/context
        http://www.springframework.org/schema/context/spring-context.xsd
        http://www.springframework.org/schema/util 
        http://www.springframework.org/schema/util/spring-util.xsd
        http://www.springframework.org/schema/tx
		http://www.springframework.org/schema/tx/spring-tx.xsd 
		http://www.springframework.org/schema/data/jpa
		http://www.springframework.org/schema/data/jpa/spring-jpa.xsd
		">
 
	<bean id="webDataSource"
			class="org.apache.commons.dbcp.BasicDataSource"
			destroy-method="close"
			p:driverClassName="${jdbc.driverClassName}"
			p:url="${jdbc.url}"
			p:username="${jdbc.username}"
			p:password="${jdbc.password}"/>
	<context:property-placeholder
		location="classpath:jdbc.properties"/>

	<util:properties id="hibernateProperties">
		<prop key="hibernate.dialect">org.hibernate.dialect.MySQL5Dialect</prop>
		<prop key="hibernate.max_fetch_depth">3</prop>
		<prop key="hibernate.max_fetch_size">50</prop>
		<prop key="hibernate.max_batch_size">10</prop>
		<prop key="hibernate.show_sql">false</prop>
	</util:properties>

	<bean id="emf"
		class="org.springframework.orm.jpa.LocalContainerEntityManagerFactoryBean">
		<property name="dataSource" ref="webDataSource" />
		<property name="jpaVendorAdapter">
			<bean class="org.springframework.orm.jpa.vendor.HibernateJpaVendorAdapter"/>
		</property>
		<property name="packagesToScan" value="ru.specialist.dao"/> 
		<property name="jpaProperties" ref="hibernateProperties"/>
	</bean> 
	<bean id="transactionManager"
		class="org.springframework.orm.jpa.JpaTransactionManager">
		<property name="entityManagerFactory" ref="emf"/>
	</bean>
	<tx:annotation-driven transaction-manager="transactionManager" />
	
	<context:component-scan base-package="ru.specialist.dao"/>
	
	
	<jpa:repositories 
		base-package="ru.specialist.dao"
		entity-manager-factory-ref="emf"
		transaction-manager-ref="transactionManager"/>
		 
</beans>